## nwchem 7.0.0

=== debian/changelog ===
nwchem (7.0.0-2) unstable; urgency=medium

  * debian/patches/17_pspw_scalapack.patch: New patch, fixes PSPW with
    ScaLAPACK, by Edoardo Apra.
  * debian/patches/18_mcscf_scalapack.patch: New patch, fixes MCSCF with
    ScaLAPACK, by Edoardo Apra.
  * debian/rules (SCALAPACK_SIZE): New variable.
  * debian/control (Build-Depends): Bump required libarmci-mpi-dev version to
    0.3.1~beta.
  * debian/control (Build-Depends): Replaced python-dev with python3-dev
    (Closes: #937171).
  * debian/rules: Switch to python3 dh module.
  * debian/control (Build-Depends): Added dh-python.
  * debian/testsuite: Run pyqa3 test instead of pyqa, by Edoardo Apra.
  * debian/testsuite: Reactive test cases cosmo_h3co, dft_he2+ and qmmm_grad0.
  * debian/control (Build-Depends): Bump required libglobalarrays-dev version
    to 5.7.2-2.
  * debian/patches/16_disable_peigs.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 Mar 2020 20:45:32 +0100

nwchem (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/04_show_testsuite_diff_output.patch: Removed, no longer
    needed.
  * debian/patches/02_makefile_flags.patch: Refreshed.
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.
  * debian/watch: Updated for new tag naming scheme.
  * debian/patches/16_disable_peigs.patch: New patch, disable PEIGS.
  * debian/testsuite: Disabled test cases pspw_stress and dft_he2+ as they are
    numerically unstable without PEIGS.

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Mar 2020 13:25:09 +0100

=== debian/watch ===
version=3 
https://github.com/nwchemgit/nwchem/releases .*/archive/v?([\d.]+)-release\.tar\.(?:bz2|gz)

## nwchem 7.0.1

=== debian/changelog ===
nwchem (7.0.1-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.
  * debian/patches/17_pspw_scalapack.patch: Removed, applied upstream.
  * debian/patches/18_mcscf_scalapack.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Oct 2020 14:59:15 +0200

## nwchem 7.0.2

=== contrib/mov2asc/Makefile ===
# Makefile for movecs <--> ASCII translators
# $Id$

# Tested on KSR, Cray-T3D
# Requires NWCHEM_TARGET to be set.
# Requires NWChem includes and library for MA (in libnwcutil.a)

ifeq ($(NWCHEM_TARGET),CRAY-T3D) # (must run on MPP not host)
   FFLAGS = -Wf"-dp" -Wp"-F" -Ccray-t3d 
endif

ifeq ($(NWCHEM_TARGET),CRAY-T3E)
   FFLAGS = -O 1 -d p -F
   FC     = f90
endif

ifeq ($(NWCHEM_TARGET),LINUX)
   FFLAGS = -fno-second-underscore
endif
ifeq ($(NWCHEM_TARGET),LINUX64)
  ifeq ($(FC),gfortran)
   FFLAGS = -fdefault-integer-8
  else
   FFLAGS = -i8
#   FFLAGS =
  endif	
endif

ifeq ($(NWCHEM_TARGET),KSR)
   FFLAGS = -r8
endif

ifeq ($(NWCHEM_TARGET),IBM)
   FFLAGS = -qEXTNAME
endif

ifeq ($(NWCHEM_TARGET),IBM)
   CPPFLAGS = -WF,"-I../../src/tools/install/include"		# Needs MA includes
else
   CPPFLAGS = -I../../src/tools/install/include			# Needs MA includes
endif
LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
ifdef USE_MPI 
#ifeq ($(FC),$(findstring $(FC),mpifrt mpfort mpif77 mpxlf mpif90 ftn))
ifeq ($(FC),$(findstring $(FC), ftn))
  LIBMPI =
  MPI_INCLUDE =
  MPI_LIB =
else
ifndef MPI_INCLUDE
# check if mpif90 is present
         MPIF90YN = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --mpi_include)
  ifeq ($(MPIF90YN),mpif90notfound)
  errormpif90:
	@echo " "
	@echo "mpif90 not found. Please add its location to PATH"
	@echo "e.g. export PATH=/usr/local/bin:/usr/lib64/openmpi/bin:..."
	@echo " "
  endif
        MPI_INCLUDE = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --mpi_include)
endif
ifndef MPI_LIB
        MPI_LIB     = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --mpi_lib)
endif
ifndef LIBMPI
        LIBMPI      = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --libmpi)
endif
endif
ifdef MPI_LIB 
      LDFLAGS += $(patsubst -L-L%,-L%,-L$(MPI_LIB))
endif 
ifdef OLD_GA
  LDFLAGS += -ltcgmsg-mpi $(LIBMPI) 
else
  LDFLAGS += $(LIBMPI)
endif
endif
ifneq ($(USE_GPROF),)
  FFLAGS += -pg
  LDFLAGS += -pg
endif
COMM_LIBS=  $(shell grep ARMCI_NETWORK_LIBS\ = ${NWCHEM_TOP}/src/tools/build/Makefile | cut -b 22-)
LDFLAGS += $(COMM_LIBS)

ifdef BLASOPT
  LDFLAGS += $(BLASOPT)
endif

all:    mov2asc asc2mov

mov2asc:	mov2asc.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 

asc2mov:	asc2mov.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 


clean realclean:
	$(RM) *.o mov2asc asc2mov



%.o:	%.F
	$(FC) -c $(FFLAGS) $(CPPFLAGS) $<

%.o:	%.f
	$(FC) -c $(FFLAGS) $<

%.o:	%.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

=== contrib/qmd_tools/Makefile ===

FC=gfortran
FFLAGS=-O2
OBJ=dsyev.o lsame.o xerbla.o ilaenv.o dlamch.o dlansy.o dlascl.o\
           dsytrd.o dsterf.o dorgtr.o dsteqr.o dscal.o dsyr2k.o\
           iparmq.o ieeeck.o disnan.o dlassq.o dlatrd.o dsytd2.o\
           dlanst.o dlapy2.o dlae2.o dlasrt.o dorgql.o dorgqr.o\
           dlartg.o dlasr.o dlaev2.o dswap.o dlaset.o\
           ddot.o daxpy.o dgemv.o dlarfg.o dsymv.o\
           dsyr2.o dorg2l.o dlarft.o dlarfb.o dorg2r.o\
           dlaisnan.o dnrm2.o dlarf.o dtrmv.o iladlr.o iladlc.o\
           dcopy.o dtrmm.o dgemm.o dger.o

qmd_analysis: qmd_analysis.o $(OBJ)
	$(FC) $(FFLAGS) -o qmd_analysis qmd_analysis.o $(OBJ)

qmd_analysis.o: qmd_analysis.f90
	$(FC) $(FFLAGS) -c qmd_analysis.f90

%.o: $(NWCHEM_TOP)/src/lapack/double/%.f
	$(FC) $(FFLAGS) -c $^

%.o: $(NWCHEM_TOP)/src/blas/double/%.f
	$(FC) $(FFLAGS) -c $^

dgemm.o: $(NWCHEM_TOP)/src/blas/double/dgemm.F
	$(FC) $(FFLAGS) -c $(NWCHEM_TOP)/src/blas/double/dgemm.F

clean:
	rm -f $(OBJ) qmd_analysis.o

=== debian/changelog ===
nwchem (7.0.2-1) unstable; urgency=medium

  * New upstream minor release.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 12:19:32 +0100

=== debian/control ===
Source: nwchem
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               csh,
               debhelper (>= 7.0.50~),
               dh-python,
               gfortran,
               libarmci-mpi-dev (>= 0.3.1~beta),
               libblas-dev,
               libglobalarrays-dev (>= 5.7.2-2),
               liblapack-dev,
               libscalapack-mpi-dev (>= 2),
               mpi-default-bin,
               mpi-default-dev,
               openssh-client,
               pkg-config,
               python3-dev,
               zlib1g-dev
Standards-Version: 3.9.5
X-Python-Version: current
Homepage: http://www.nwchem-sw.org
Vcs-Browser: https://salsa.debian.org/debichem-team/nwchem
Vcs-Git: https://salsa.debian.org/debichem-team/nwchem.git

Package: nwchem
Architecture: any
Depends: mpi-default-bin,
         nwchem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance computational chemistry software
 NWChem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 NWChem can handle:
 .
  * Molecular electronic structure methods using gaussian
    basis functions for high-accuracy calculations of molecules
  * Pseudopotentials plane-wave electronic structure methods for calculating
    molecules, liquids, crystals, surfaces, semi-conductors or metals
  * Ab-initio and classical molecular dynamics simulations
  * Mixed quantum-classical simulations
  * Parallel scaling to thousands of processors
 .
 Features include:
  * Molecular electronic structure methods, analytic second derivatives:
   - Restricted/unrestricted Hartree-Fock (RHF, UHF)
   - Restricted Density Functional Theory (DFT) using many local,
     non-local (gradient-corrected) or hybrid (local, non-local, and HF)
     exchange-correlation potentials
  * Molecular electronic structure methods, analytic gradients:
   - Restricted open-shell Hartree-Fock (ROHF)
   - Unrestricted Density Functional Theory (DFT)
   - Second-order Moeller-Plesset perturbation theory (MP2), using RHF and UHF
     reference
   - MP2 with resolution of the identity approximation (RI-MP2)
   - Complete active space SCF (CASSCF)
   - Time-Dependent Density Functional Theory (TDDFT)
  * Molecular electronic structure methods, single-point energies:
   - MP2 spin-component scaled approach (SCS-MP2)
   - Coupled cluster singles and doubles, triples or pertubative triples
     (CCSD, CCSDT, CCSD(T)), with RHF and UHF reference
   - Configuration interaction (CISD, CISDT, and CISDTQ)
   - Second-order approximate coupled-cluster singles doubles (CC2)
   - State-specific multireference coupled cluster methods (MRCC)
     (Brillouin-Wigner (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
  * Further molecular electronic structure features:
   - Geometry optimization including transition state searches, constraints
     and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
     Temperature String methods)
   - Vibrational frequencies
   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2,
     Configuration-Interaction singles (CIS), time-dependent HF (TDHF) and
     TDDFT, for excited states with RHF, UHF, RDFT, or UDFT reference
   - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
     ROHF and DFT, including analytical gradients
   - Hybrid calculations using the two- and three-layer ONIOM method
   - Relativistic effects via spin-free and spin-orbit one-electron
     Douglas-Kroll and zeroth-order regular approximations (ZORA) and
     one-electron spin-orbit effects for DFT via spin-orbit potentials
  * Pseudopotential plane-wave electronic structure:
   - Pseudopotential Plane-Wave (PSPW), Projector Augmented Wave (PAW) or band
     structure methods for calculating molecules, liquids, crystals, surfaces,
     semi-conductors or metals
   - Geometry/unit cell optimization including transition state searches
   - Vibrational frequencies
   - LDA, PBE96, and PBE0 exchange-correlation potentials (restricted and
     unrestricted)
   - SIC, pert-OEP, Hartree-Fock, and hybrid functionals (restricted and
     unrestricted)
   - Hamann, Troullier-Martins and Hartwigsen-Goedecker-Hutter norm-conserving
     pseudopotentials with semicore corrections
   - Wavefunction, density, electrostatic and Wannier plotting
   - Band structure and density of states generation
  * Car-Parrinello ab-initio molecular dynamics (CPMD):
   - Constant energy and constant temperature dynamics
   - Verlet algorithm for integration
   - Geometry constraints in cartesian coordinates
  * Classical molecular dynamics (MD):
   - Single configuration energy evaluation
   - Energy minimization
   - Molecular dynamics simulation
   - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
     multiconfiguration thermodynamic integration (MCTI) methods with options
     of single and/or dual topologies, double wide sampling, and separation-
     shifted scaling)
   - Force fields providing effective pair potentials, first order
     polarization, self consistent polarization, smooth particle mesh Ewald
     (SPME), periodic boundary conditions and SHAKE constraints
  * Mixed quantum-classical:
   - Mixed quantum-mechanics and molecular-mechanics (QM/MM) minimizations and
     molecular dynamics simulations
   - Quantum molecular dynamics simulation by using any of the quantum
     mechanical methods capable of returning gradients.

Package: nwchem-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-performance computational chemistry software (data files)
 NWChem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 This package contains the basis sets, pseudopotentials and AMBER/CHARMM
 parameter files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
DEB_HOST_ARCH      := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter checkall,$(DEB_BUILD_OPTIONS)))
export RUN_ALL_TESTS ="yes"
endif

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
export USE_64TO32="yes"
else
export NWCHEM_TARGET=LINUX
endif
export BLAS_SIZE=4
export BLAS_LIB="-lblas"
export LAPACK_LIB="-llapack"
export USE_SCALAPACK="yes"
export SCALAPACK_SIZE=4
export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
ifeq ($(DEB_HOST_ARCH),armhf)
export GCC49_ARM_BROKEN="yes"
endif
export NWCHEM_TOP=${CURDIR}
export NWCHEM_MODULES="pnnl"
export NWCHEM_LONG_PATHS="y"
export EXTERNAL_GA_PATH=/usr
export PYTHONVERSION=$(shell pyversions -dv)
export PYTHONHOME=$(shell python-config --prefix)
export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export USE_MPIF4="y"
ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
export LIBMPI=-lmpi -lmpif77
else
export LIBMPI=$(shell pkg-config mpi-fort --libs)
endif
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/${DEB_HOST_MULTIARCH}/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
ifneq (,$(filter ccsdtlr,$(DEB_BUILD_OPTIONS)))
export CCSDTLR="yes"
endif
export MRCC_METHODS=y
export IPCCSD=y
export EACCSD=y
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
export BLACS=$(SCALAPACK)
export ARMCI_NETWORK=SOCKETS
export USE_ARUR="yes"

%:
	dh $@ --with autotools_dev,python3 --parallel

override_dh_auto_build-arch:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 64_to_32)
	find src -name include_stamp | xargs rm -f
	find src -name dependencies | xargs rm -f
endif
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 32_to_64)
endif

override_dh_auto_clean:
	dh_testdir
	-(cd $(CURDIR)/src && make realclean)
	-(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F src/util/util_nwchem_version.F
	find $(CURDIR) -name "*.stamp" | xargs rm -f
	dh_auto_clean
	rm -f src/config/NWCHEM_CONFIG src/config/nwchem_config.h

export RUNTESTS=$(CURDIR)/QA/runtests.mpi.unix 
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export NWCHEM_NWPW_LIBRARY=${NWCHEM_TOP}/src/nwpw/libraryps/

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && if [ "$(RUN_ALL_TESTS)" = "yes" ]; then \
	   ../debian/testsuite all; else ../debian/testsuite; fi)

=== debian/tests/control ===
Depends: @, csh
Tests: testsuite.sh
Restrictions: allow-stderr
